import QtQuick 2.0
import QtQuick.Controls 1.0

Rectangle {
    id: rB
	property var isClicked: false
	width: 28
	height: 28
	
	Image {
		id: im
		width: 28
		height: 28
		source: "flat_slash.png"
	}
	Rectangle {
		id: rect
		anchors.fill: im
		color: "transparent"
	}
	MouseArea {
		anchors.fill: im
        hoverEnabled: true
		onClicked: {
			rB.isClicked = !rB.isClicked
            if (rB.isClicked)
				rect.color = "#66666666"
            else
                rect.color = "transparent"
		}
		onEntered: {
			if (!rB.isClicked)         
                rect.color= "#22666666"
            else
                rect.color= "#88666666"
		}
        onExited: {
            if (rB.isClicked)
                rect.color = "#66666666"
            else
                rect.color = "transparent"
        }
	}
	
}